/* wmclear.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_clear (wm_handle wh)
{
  if (wh->used != WM_USED)
    return;
  _wm_clr1 (wh);
  if (wh->display)
    _wm_put1 (wh);
  else
    wh->update_req = TRUE;
  _wm_cursor1 ();
}
